package controller

import (
	"web-qudo-be/app/module/our_product_content_images/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	OurProductContentImages OurProductContentImagesController
}

func NewController(ourProductService service.OurProductContentImagesService, log zerolog.Logger) *Controller {
	return &Controller{
		OurProductContentImages: NewOurProductContentImagesController(ourProductService, log),
	}
}